

.video_container {
    margin: auto;
    margin-bottom: -4px;
    /*height: 300px;*/
    height: 100%;
    width: 100%;
    overflow: hidden;
    display: inline-block;
    background-image: linear-gradient(rgba(0,0,0,0.7), rgba(0,0,0,0.7));
    z-index: -1;
}

.intro-video {
    min-width: 100%;
    min-height: 100%;
    position: relative;
    /*trasform: translateX(-50%), translateY(-50%);*/
    z-index: -1;
}

.intro_content {
    position: absolute;
    top: 40%;
    left: 12%;
    width: 75%;
}

.typing {
    position: relative;
    width: 100%;
    display: flex;
    justify-content:flex-start;
    align-items: center;
    left: 6%;
}

/*#first-p {
    text-align: center;
    color:rgb(255,255,0);
    font-family: 'Noto Serif', serif;
    letter-spacing: 2px;
    font-size:18px; 
    text-shadow: 0px 0px 10px rgb(255,255,0), 0px 0px 5px rgb(255,255,0);
    padding:0px;
}*/

.typing p {
    text-align: center;
    color:rgb(255,255,0);
    font-family: 'Orbitron', sans-serif;
    letter-spacing: 2px;
    font-size:26px;
    text-shadow: 0px 0px 10px rgb(255,255,0), 0px 0px 5px rgb(255,255,0);
}

.typewriter {
    position: relative;
    margin-left: 10px;
    white-space: nowrap;
}

.typewriter::after {
    position: absolute;
    content: "";
    width: 1px;
    height: 90%;
    right: -5px;
    border-right: 3px solid orange;
    animation: blink 0.5s infinite ease;
}

@keyframes blink {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.intro_links {
    position: relative;
    margin:auto;
    font-family:'Montserrat', sans-serif;
    font-weight: bold;
    width: 60%;
    box-sizing: border-box;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#signin-form {
    position: absolute;
    top: 0px;
    height: 150px;
    width: 300px;
    display:flex;
    flex-direction: column;
    align-items: center;
}


.intro-username input {
    height: 360px;
    width: 360px;
    margin-left: 5px;
    background: none;
    border: none;
    flex: 1;
    height: 100%;
    outline: none;
    cursor: pointer;
}

.intro-username {
    position: relative;
    width: 400px;
    height: 40px;
    background-image: linear-gradient(120deg, #eaee44, #33d0ff);
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 30px;
    opacity: 0.9;
    border-style: solid;
    border-width: 3px;
    border-color: yellow;
}

#signin-button {
    padding: 6px 15px 6px 15px;
    margin-top: 5px;
    border-style: solid;
    border-width: 3px;
    border-color: rgb(255,255,0);
    background-color: rgba(0,0,0,0);
    color: rgb(255,255,0);
    font-family:'Montserrat', sans-serif;
    font-weight:bold;
    letter-spacing: 2px;
    font-size: 14px; 
    cursor: pointer;
    -webkit-animation: glow 0.8s infinite linear;
}


.signin-button:hover {
    background-color: rgba(225,225,0, 0.5);
    color: rgb(225,225,225);
}

@-webkit-keyframes glow {
    0%{background-color: rgba(225,225,0, 0.1);}
    30%{background-color: rgba(225,225,0, 0.3);}
    50%{background-color: rgba(225,225,0, 0.6);}
    70%{background-color: rgba(225,225,0, 0.8);}
    100%{background-color: rgba(225,225,0, 1);}
}

.logo-img {
    position: absolute;
    top: 15%;
    left: 38%;
    height: 170px;
    width: 370px;
}

.money-sack {
    height: 200px;
    width: 200px;
    position: absolute;
    top: 30%;
    left:2%;
}

.notes {
    height: 60px;
    width: 110px;
    position: absolute;
    top: 50%;
    left:15%;
}

.coins {
    height: 60px;
    width: 40px;
    position: absolute;
    top: 50%;
    left:1%;
}

.coins2 {
    height: 34px;
    width: 40px;
    position: absolute;
    top: 53%;
    left:20%;
}

.coins3 {
    height: 40px;
    width: 51px;
    position: absolute;
    top: 53%;
    left:4%;
}

.coins5 {
    height: 52px;
    width: 110px;
    position: absolute;
    top: 50%;
    right:1%;
}

.coin1 {height: 26px; width: 38px; position: absolute; top: 49%; right:3%;}
.coin2 {height: 26px; width: 38px; position: absolute; top: 49%; right:7%;}
.coin3 {height: 26px; width: 38px; position: absolute; top: 50%; right:7%;}
.coin4 {height: 26px; width: 38px; position: absolute; top: 50%; right:13%;}
.coin5 {height: 26px; width: 38px; position: absolute; top: 51%; right:7%;}
.coin6 {height: 26px; width: 38px; position: absolute; top: 50%; right:10%;}
.coin7 {height: 26px; width: 38px; position: absolute; top: 51%; right:9%;}
.coin8 {height: 26px; width: 38px; position: absolute; top: 52%; right:11%;}
.coin9 {height: 26px; width: 38px; position: absolute; top: 53%; right:10%;}
.coin10 {height: 26px; width: 38px; position: absolute; top: 45%; right:7%;}
.coin11 {height: 26px; width: 38px; position: absolute; top: 46%; right:7%;}
.coin12 {height: 26px; width: 38px; position: absolute; top: 47%; right:7%;}
.coin13 {height: 26px; width: 38px; position: absolute; top: 48%; right:7%;}
.coin14 {height: 26px; width: 38px; position: absolute; top: 49%; right:7%;}

/*.intro_content a {
    text-decoration: none;
    position: relative;
    margin: 15px;
    padding: 5px 20px 5px 20px;
    border-style: solid;
    border-color: rgb(255,255,0);
    border-width: 3px;
    text-align: center;
    color:rgb(255,255,0);
    letter-spacing: 1px;
    font-size:18px;
    white-space: nowrap;
    -webkit-animation: glow 0.8s infinite linear;
}*/

.screenshots-display {
    position: relative;
    left: 0px;
    top: 0px;
    padding-top: 50px;
    width: 100%;
    height: 150px;
    background-color: rgb(150,150,150);
    margin-top: 0px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    background-image: url("../img/dark_blue_pattern.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-positon: center;
    
}

.screenshots-display p {
    text-align: center;
    color: rgb(255,255,200);
    font-family:'Montserrat', sans-serif;
    letter-spacing: 3px;
    font-size:24px;
    font-weight: bold;
    text-shadow: 0px 0px 10px rgb(255,255,155), 0px 0px 5px rgb(255,255,255);
    position: absolute;
    top: 0px;
    margin-top: 15px;
}

.screenshots-preview {
    width:70%;
    height: 80%;
    background-color: aliceblue;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-style: inset;
    border-width: 6px;
    border-color: gold;
    border-radius: 4px;
    background-image: url("../img/marble.jpg");
}

.screenshots-preview img {
    height: 121px;
    width: 185px;
}

.popup-image {
    visibility: hidden;
}

.slider-buttons button {
    border: none;
    background: none;
    height: 50px;
    width: 50px;
    background-color: gold;
    color: rgb(255,255,115);
    font-family:'Montserrat', sans-serif;
    font-size:36px;
    cursor: pointer;
    margin: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border-radius: 40px;
    border-style: double;
    border-color: gold;
    border-width: 5px;
    
}

.gallery-bg {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100vh;
    background-color: rgba(100,100,0,0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s, opacity 0.5s;
}

.gallery {
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 30%;
    background-color: steelblue;
}

/***************************************** DEMO AREA *************************************************/
.demo-area {
    position: relative;
    min-width: 100%;
    min-height: 100%;
    height: 60vh;
    display: flex;
    justify-content: space-around;
    align-items: center;
    /*background-image: url(img/dark%20blue%20pattern.jpg);*/
    background-size: cover;
    background-repeat: no-repeat;
    background-positon: center;
    z-index: 0;
}

.left-panal {
    position: relative;
    margin: 0px;
    background: linear-gradient(235deg, /*#89ff00, /*#060c21*/purple, #00bcd4);;
    height: 100%;
    width: 50%;
    margin-top: -1px;
}

.right-panal {
    position: relative;
    background-color: white;
    height: 100%;
    width: 50%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    
}

.distortion {
    height: 100%;
    width: 50%;
    
    align-self: flex-end;
}

.demo-description {
    position: absolute;
    left: 50%;
    top: 80%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
    transform: translate(-50%, -80%);
}

.demo-description p {
    color:rgb(255,255,255);
    font-family: 'Noto Serif', serif;
    letter-spacing: 1px;
    font-size:18px; 
    padding:0px;
}

.demo-description a {
    text-decoration: none;
    position: relative;
    margin: 5px;
    padding: 5px 20px 5px 20px;
    border-style: solid;
    border-color: rebeccapurple;
    border-width: 3px;
    text-align: center;
    color:purple;
    letter-spacing: 1px;
    font-size:18px;
    white-space: nowrap;
    font-family:'Montserrat', sans-serif;
}

/***************************************** END OF ROLE AREA **********************************************/

/***************************************** PLAY NOW AREA *************************************************/

.play-area {
    position: absolute;
    top: 90px;
    left: 15%;
    width: 70%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

.play-now-area {
    position: relative;
    width: 100%;
    height: 40hv;
    margin: auto;
    margin-bottom: -4px;
    display: inline-block;
    overflow: hidden;
    margin-bottom: -9px;
    z-index: 0;
}

.video-bg {
    position: relative;
    z-index: -1;
    min-width: 100%;
    min-height: 100%;
}

.play-area h2 {
    text-align: center;
    color: rgb(255,255,200);
    font-family:'Montserrat', sans-serif;
    letter-spacing: 3px;
    font-size: 40px;
    font-weight: bold;
    text-shadow: 0px 0px 10px rgb(255,255,155), 0px 0px 5px rgb(255,255,255);
    position: absolute;
    top: 0px;
    margin-top: 15px; 
}

/***************************************** END OF PLAY NOW AREA ******************************************/

/*********************************************** FOOTER AREA *********************************************/
footer {
    width: 100%;
    height: 80px;
    position: relative;
    bottom: 0px;
    left: 0px;
    background-color: rgb(255,155,115);
    margin-top: 0px;
}

.footer_links{
    display: flex;
    font-family:'Montserrat', sans-serif;
    justify-content:space-around;
    margin: auto;
    width:20%;
    align-items: center;
}

.footer_links li {
    list-style: none;
}

.footer_links a{
    color:rgb(255,255,255);
    text-decoration: none;
    font-weight:bold;
    letter-spacing: 2px;
    font-size: 9px;
}

.designation p {
    text-align: center;
    font-family:'Montserrat', sans-serif;
    font-weight:bold;
    letter-spacing: 2px;
    font-size: 10px;
}
/******************************************** END OF FOOTER **********************************************/

.modal-background {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100vh;
    background-color: rgba(0,0,0,0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s, opacity 0.5s;
}

.login-dialog {
    position: relative;
    height: 40%;
    width: 30%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
    font-family:'Poppins', sans-serif;
    background-image: linear-gradient(rgba(0,0,0,0.3), rgba(0,0,0,0.3)), url("../img/login_cover.jpg");
    background-color: rgb(255,255,255);
    background-size: cover;
    background-repeat: no-repeat;
    background-positon: center;
    z-index: 1;
}

#login-form {
    position: absolute;
    top: 50px;
    height: 150px;
    width: 300px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
}



.field-username img, .field-password img, .intro-username img {
    height: 22px;
    width: 22px;
    padding-left: 10px;
    cursor: pointer;
}

.field-username input, .field-password input {
    height: 360px;
    width: 360px;
    margin-left: 5px;
    background: none;
    border: none;
    flex: 1;
    height: 100%;
    outline: none;
    cursor: pointer;
}

.field-username, .field-password {
    width: 400px;
    height: 40px;
    background: rgb(255,255,255);
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 5px;
}

.login-dialog hr {
    position: relative;
    top: 160px; 
    display: block;
    width: 400px;
    margin-left: auto;
    margin-right: auto;
    color: rgb(255,255,255);
    border-style: solid;
    border-width: 1px;
}

.login-dialog p {
    position: relative;
    top: 80px;
    text-align: center;
    color: rgb(255,255,255);
    letter-spacing: 2px;
    font-size:12px;
    
}

.login-dialog a {
    margin-top: 10px;
    text-decoration: none;
    position: relative;
    padding: 5px 20px 5px 20px;
    border-style: solid;
    border-color: rgb(255,255,0);
    border-width: 3px;
    text-align: center;
    color:rgb(255,255,0);
    letter-spacing: 2px;
    font-size:12px;
}

.modal-close {
    position: absolute;
    top: 2px;
    right: 9px;
    color: rgb(255,155,115);
    font-weight: bold;
    font-size: 20px;
    cursor: pointer;
}

#login-button {
    padding: 5px 10px 5px 10px;
    border-style: solid;
    border-width: 3px;
    border-color: rgb(100,255,0);
    background-color: rgba(0,0,0,0);
    color: rgb(100,255,0);
    font-family:'Montserrat', sans-serif;
    font-weight:bold;
    letter-spacing: 2px;
    font-size: 12px; 
    cursor: pointer;
}

.dialog-active {
    visibility: visible;
    opacity: 1;
}

/*responsive scaling*/
@media screen and (max-width:1200px){
    .video_container p{
      letter-spacing: 2px;
      font-size:16px;  
    }
    
    .intro_content a {
        margin: 15px;
        padding: 5px 19px 5px 19px;
        border-width: 3px;
        font-size:16px;
    }
    
    .footer_links{
        width:50%;
    }
}

@media screen and (max-width:1000px){
    .video_container p{
      letter-spacing: 1px;
      font-size:15px;  
    }
    
    .intro_content a {
        margin: 15px;
        padding: 4px 17px 4px 17px;
        border-width: 3px;
        font-size:15px;
    }
    
    .footer_links{
        width:60%;
    }
}

@media screen and (max-width:900px){
    .video_container p{
      letter-spacing: 1px;
      font-size:14px;  
    }
    
    .intro_content a {
        margin: 15px;
        padding: 3px 15px 15px 20px;
        border-width: 2px;
        font-size:14px;
    }
    
    .footer_links{
        width:65%;
    }
    
    .footer_links a{
        letter-spacing: 1px;
        font-size: 8px;
    }
}


@media screen and (max-width:800px){
    .video_container p{
      letter-spacing: 1px;
      font-size:12px;  
    }
    
    .intro_content a {
        margin: 15px;
        padding: 3px 15px 3px 15px;
        border-width: 2px;
        font-size:13px;
    }
    
    .footer_links{
        width:70%;
    }
    
    .footer_links a{
        letter-spacing: 1px;
        font-size: 8px;
    }
    
}
